> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prop Trading Set Funding Preferences

> Saves the firm's preferred funding currencies and mints a funding reference once, with audit event.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/prop-trading-set-funding-preferences
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/prop-trading-set-funding-preferences:
    post:
      operationId: propTradingSetFundingPreferences
      summary: Prop Trading Set Funding Preferences
      description: >-
        Saves the firm's preferred funding currencies and mints a funding
        reference once, with audit event.


        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropTradingSetFundingPreferencesRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropTradingSetFundingPreferencesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PropTradingSetFundingPreferencesRequest:
      type: object
      properties:
        fundingCurrencies:
          type: array
          items:
            type: string
            pattern: ^[A-Z0-9]{3,8}$
          maxItems: 10
      required:
        - fundingCurrencies
    PropTradingSetFundingPreferencesResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
